# Mediator: The Workspaces Intervention Utility

**WARNING: This script can have unintended consequences. Please consult the Workspaces developers before using it!**

**It should be noted** that Workspaces now has fail and abort buttons in the UI, so
this utility is typically only useful for VLASS or CARTA jobs that don't go
through the Workspaces capability system.

Sometimes it becomes necessary to manually intervene in a running request - either
capability or workflow. Mediator is meant to provide easy access for such
interventions.

Current interventions include:
- manually forcing a workflow to fail/abort
- manually submitting a created workflow to condor (sometimes errors can cause
  the system to drop this step)

## Usage

```shell
**************************************
* WELCOME TO THE WS SYSTEM MEDIATOR! *
**************************************
usage: mediator [-h] [-ff FORCE_FAIL] [-s SUBMIT]

System Mediator allows interventions in currently running Workspaces requests

optional arguments:
  -h, --help            show this help message and exit
  -ff FORCE_FAIL, --force-fail FORCE_FAIL
                        Force a specified workflow into the failed state. Requires a workflow request id.
  -s SUBMIT, --submit SUBMIT
                        Submit a specified workflow. Requires a workflow request id.

```
